### Hierarchy

- DateTimeAbsoluteComponent

### Implements

- OnInit
- OnChanges

## Index

### Inputs

- batchText
- dateFormat
- datePickerFormat
- flatpickrOptions
- placeholder
- value

### Outputs

- valueChange

### Constructors

- constructor

### Properties

- batchText
- dateFormat
- datePickerFormat
- dateRange
- endTime
- flatpickrOptions
- placeholder
- startTime
- value
- valueChange

### Methods

- ngOnChanges
- ngOnInit
- onChange

## Constructors

### constructor

- new DateTimeAbsoluteComponent(): DateTimeAbsoluteComponent

- #### Returns DateTimeAbsoluteComponent

## Properties

### batchText

@Input()
batchText: any

- Defined in packages/angular/src/date-time-picker/date-time-absolute.component.ts:96

### dateFormat

@Input()
dateFormat: string = 'yyyy-MM-dd'

- Defined in packages/angular/src/date-time-picker/date-time-absolute.component.ts:97

### datePickerFormat

@Input()
datePickerFormat: string = 'Y-m-d'

- Defined in packages/angular/src/date-time-picker/date-time-absolute.component.ts:98

### dateRange

dateRange: any = null

- Defined in packages/angular/src/date-time-picker/date-time-absolute.component.ts:93

### endTime

endTime: string = '23:59'

- Defined in packages/angular/src/date-time-picker/date-time-absolute.component.ts:92

### flatpickrOptions

@Input()
flatpickrOptions: any

- Defined in packages/angular/src/date-time-picker/date-time-absolute.component.ts:100

### placeholder

@Input()
placeholder: string = 'yyyy-mm-dd'

- Defined in packages/angular/src/date-time-picker/date-time-absolute.component.ts:99

### startTime

startTime: string = '00:00'

- Defined in packages/angular/src/date-time-picker/date-time-absolute.component.ts:91

### value

@Input()
value: any[] = ...

- Defined in packages/angular/src/date-time-picker/date-time-absolute.component.ts:95

### valueChange

@Output()
valueChange: EventEmitter<[Date, Date]> = ...

- Defined in packages/angular/src/date-time-picker/date-time-absolute.component.ts:101

## Methods

### ngOnChanges

- ngOnChanges(changes: SimpleChanges): void

- - Defined in packages/angular/src/date-time-picker/date-time-absolute.component.ts:113

  #### Parameters

  - ##### changes: SimpleChanges

  #### Returns void

### ngOnInit

- ngOnInit(): void

- - Defined in packages/angular/src/date-time-picker/date-time-absolute.component.ts:103

  #### Returns void

### onChange

- onChange(): void

- - Defined in packages/angular/src/date-time-picker/date-time-absolute.component.ts:126

  #### Returns void

Generated using TypeDoc